﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using System.Collections;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication102
{
    public partial class Form1 : Form
    {
        DataTable Things = new DataTable("Things");
        DataTable SubThings = new DataTable("Things");

        public Form1()
        {
            InitializeComponent();
        }
        
        private void ultraCombo1_ValueChanged(object sender, EventArgs e)
        {
            if (!ultraCombo2.Enabled)
            {
                ultraCombo2.Enabled = true;
            }

            if (ultraCombo1.Value != null)
            {
                switch (ultraCombo1.Value.ToString())
                {
                    case "Animals":
                        ultraCombo2.Value = "";
                        ultraCombo2.DisplayLayout.Bands[0].ColumnFilters["ID"].ClearFilterConditions();
                        ultraCombo2.DisplayLayout.Bands[0].ColumnFilters["ID"].FilterConditions.Add(FilterComparisionOperator.Equals, 1);
                        break;

                    case "Buildings":
                        ultraCombo2.Value = "";
                        ultraCombo2.DisplayLayout.Bands[0].ColumnFilters["ID"].ClearFilterConditions();
                        ultraCombo2.DisplayLayout.Bands[0].ColumnFilters["ID"].FilterConditions.Add(FilterComparisionOperator.Equals, 2);
                        break;

                    case "VIPs":
                        ultraCombo2.Value = "";
                        ultraCombo2.DisplayLayout.Bands[0].ColumnFilters["ID"].ClearFilterConditions();
                        ultraCombo2.DisplayLayout.Bands[0].ColumnFilters["ID"].FilterConditions.Add(FilterComparisionOperator.Equals, 3);
                        break;
                }
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            AddingData();
        }

        private void AddingData()
        {
            Things.Columns.Add("Name", typeof(string));
            SubThings.Columns.Add("ID", typeof(int));
            SubThings.Columns.Add("Name", typeof(string));

            Things.Rows.Add("Animals");
            Things.Rows.Add("Buildings");
            Things.Rows.Add("VIPs");

            SubThings.Rows.Add(1, "Fishes");
            SubThings.Rows.Add(1, "Birds");
            SubThings.Rows.Add(1, "Lizards");
            SubThings.Rows.Add(2, "Churches");
            SubThings.Rows.Add(2, "Towers");
            SubThings.Rows.Add(2, "Blocks");
            SubThings.Rows.Add(3, "Brad Pitts");
            SubThings.Rows.Add(3, "Anthony Hopkins");
            SubThings.Rows.Add(3, "Wesley Snipes");

            ultraCombo1.DataSource = Things;
            ultraCombo1.Value = " ";

            ultraCombo2.Value = "";
            ultraCombo2.DataSource = SubThings;
            ultraCombo2.DisplayMember = "Name";

            ultraCombo2.DisplayLayout.Bands[0].Columns[0].Hidden = true;
            ultraCombo2.Enabled = false;
        }
    }
}
